Subject: Re: [RFC] Add 4KSx support (try 2)

From: Franck <[email-masked]>
Date: Tue, 1 Nov 2005 09:34:11 +0100

2005/10/31, Kevin D. Kissell <[email-masked]>:
> Franck wrote:
>
> >>There are places, for example arch/mips/mm/cache.c, but
> >>also some of the other makefiles, where you're using your
> >>new config flags to drive things where the standard
> >>CONFIG_CPU_MIPS32 (which I guess has now fragmented into
> >>CONFIG_CPU_MIPS32_R1 and CONFIG_CPU_MIPS32_R2, which would
> >>apply to the Sc and Sd respectively) would do the right thing
> >>while creating fewer source file mods.
> >>
> >
> >
> > That's correct but CONFIG_CPU_MIPS32_Rx seems to be a fallback case.
> > Don't other cpu use their own flags whereas they could just use
> > CONFIG_CPU_MIPS32_Rx flag instead ?
>
> I think that those other CPUs aren't, strictly speaking,
> MIPS32-compliant CPUs in one respect or another, so they
> end up picking up MIPS32 kernel behavior "a la carte".
> The 4KS family is a strict superset.
>

If so, that makes sense. Ralf, should I modify the patch to use
CONFIG_CPU_MIPS32_Rx flags whenever it's possible as suggest Kevin ?

Thanks
--
               Franck